org.eclipse.jetty.security

## Interface Authenticator.Factory

All Known Implementing Classes:
  DefaultAuthenticatorFactory, JaspiAuthenticatorFactory

Enclosing interface:
  Authenticator

    public static interface Authenticator.Factory

Authenticator Factory

### Method Summary

Methods
`Authenticator` `getAuthenticator(Server server, javax.servlet.ServletContext context, Authenticator.AuthConfiguration configuration, IdentityService identityService, LoginService loginService)`

### Method Detail

#### getAuthenticator

    Authenticator getAuthenticator(Server server,
                                 javax.servlet.ServletContext context,
                                 Authenticator.AuthConfiguration configuration,
                                 IdentityService identityService,
                                 LoginService loginService)